// package_first/pages/askAdmin/index.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: [],
        current: "",
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            current: "/index/westreamKnow/page"
        })
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },
    /* 更新数据 */
    updateList(e) {
        let list = this.data.list.concat(e.detail)
        this.setData({ list })
    },
    /* 重置数据 */
    resetList() {
        this.setData({ list: [] })
    },
    /* 跳转至详情页 */
    showDetail(e) {
        let data = e.currentTarget.dataset.item
        wx.navigateTo({
        url: '/package_first/pages/askDetail/index?data='+ encodeURIComponent(JSON.stringify(data)),
        })
    }

})